%define srcName rivet
%define origName mod_rivet 

Name: %origName
Version: 0.5.0
Release: alt1

Summary: Apache Rivet is a system for creating dynamic web content via a TCL programming language integrated with Apache Web Server.
Summary(ru_RU.KOI8-R):  Apache Rivet -       TCL     ,    http  Apache.
License: Apache License
Group: System/Servers
URL: http://tcl.apache.org/rivet/

Source: %srcName-%version.tar.gz
Source1: mod_%srcName.conf 
Source2: rivet-pkgIndex.tcl

BuildPreReq: autoconf_2.5 >= 2.57
BuildPreReq: automake
PreReq: apache >= %apache_version-%apache_release

BuildRequires: rpm-build >= 4.0.4 tcl-devel >= 8.4.0
BuildRequires: apache-devel >= %apache_version-%apache_release


%description
Apache Rivet is a system for creating dynamic web content via a programming language
integrated with Apache Web Server. It is designed to be fast, powerful and extensible, 
consume few system resources, be easy to learn, and to provide the user with a platform 
that can also be used for other programming tasks outside the web (GUI's, system 
administration tasks, text processing, database manipulation, XML, and so on). 
In order to meet these goals, we have chosen the Tcl programming language to combine 
with the Apache Web Server.
 
 
%description -l ru_RU.KOI8-R
Apache Rivet -       ,   
 http  Apache.     , ,   
   .     Apache Rivet    
       web,       
. GUI,  , XML,   ,   
    ,     web-. 
    TCL -    Apache .

%prep
%setup -q -n %srcName-%version

%build
#%__aclocal
#%__autoconf
#%__automake-1.7

%configure \
--with-tcl=%_libdir \
--with-tclinclude=%_includedir \
--with-apxs=%apache_apxs

%make_build
make check

%install
%__mkdir_p %buildroot%_tcllibdir/
%__mkdir_p %buildroot%_tcldatadir/%srcName%version
%__mkdir_p %buildroot/%_libdir/apache
%__mkdir_p %buildroot/%apache_addonconfdir

%__install src/\.libs/librivet.so %buildroot%_tcllibdir/librivet.so
%__install src/\.libs/librivetparser.so %buildroot%_tcllibdir/librivetparser.so
%__install src/\.libs/mod_rivet.so %buildroot/%_libdir/apache/mod_rivet.so
%__cp -R rivet/packages %buildroot%_tcldatadir/%srcName%version/
%__cp -R rivet/rivet-tcl %buildroot%_tcldatadir/%srcName%version/
%__cp rivet/*.tcl %buildroot%_tcldatadir/%srcName%version/

%__install -m644 %SOURCE1 %buildroot%apache_addonconfdir/mod_rivet.conf 
%__install -m644 %SOURCE2 %buildroot%_tcldatadir/%srcName%version/pkgIndex.tcl 

%post
if [ $1 = "1" ]; then
    if ! egrep -qs 'Include conf/addon-modules/mod_rivet.conf' %apache_confdir/httpd.conf; then
        echo "Include conf/addon-modules/mod_rivet.conf" >> %apache_confdir/httpd.conf
    fi
fi

%preun
if [ $1 = "0" ]; then
    if egrep -qs '^Include conf\/addon-modules\/mod_rivet.conf' %apache_confdir/httpd.conf; then
        %__subst "/Include conf\/addon-modules\/mod_rivet.conf/d" \
        %apache_confdir/httpd.conf
    fi
fi
						    

%files
%_tcldatadir/%srcName%version/
%_tcllibdir/librivet.so
%_tcllibdir/librivetparser.so
%_libdir/apache/mod_rivet.so                                                                            
%config(noreplace) %apache_addonconfdir/mod_rivet.conf

%doc INSTALL LICENSE README INSTALL TODO doc/*

%changelog
* Wed May 4 2005 Sergey Kalinin <banzaj@altlinux.ru> 0.5.0-alt1
- initial release
